<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionTriggerRemotely.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/dae/_action_trigger_remotely_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionTriggerRemotely.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/dae/_action_trigger_remotely_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/d2b/class_action_trigger_remotely.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d2b/class_action_trigger_remotely.html">ActionTriggerRemotely</a> : <a class="code hl_class" href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/d2b/class_action_trigger_remotely.html#aadc6b4dce90b1c8890340322d7573baa">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d2b/class_action_trigger_remotely.html#aadc6b4dce90b1c8890340322d7573baa">ActionTriggerRemotely</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a>        = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_PRESS_TRIGGER;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">m_CommandUIDProne</a>   = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_PRESS_TRIGGER;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a>              = <span class="stringliteral">&quot;#STR_Detonate&quot;</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d0/d2b/class_action_trigger_remotely.html#a59aade2ec11ce3978e8ea752c8713e6c">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d2b/class_action_trigger_remotely.html#a59aade2ec11ce3978e8ea752c8713e6c">CreateConditionComponents</a>()</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {   </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a>   = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a>     = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d0/d2b/class_action_trigger_remotely.html#a3d1cfef43c183ea000214154a2bf2ac9">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d2b/class_action_trigger_remotely.html#a3d1cfef43c183ea000214154a2bf2ac9">HasProgress</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d0/d2b/class_action_trigger_remotely.html#a19319dcefb2ea5352c3b0d66ab3f4f91">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d2b/class_action_trigger_remotely.html#a19319dcefb2ea5352c3b0d66ab3f4f91">HasTarget</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d0/d2b/class_action_trigger_remotely.html#a35ce03e38809acf7f7c14dbe19469be2">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d2b/class_action_trigger_remotely.html#a35ce03e38809acf7f7c14dbe19469be2">HasProneException</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d0/d2b/class_action_trigger_remotely.html#a044f621b219565fd16f94c98c5b4f495">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d2b/class_action_trigger_remotely.html#a044f621b219565fd16f94c98c5b4f495">ActionCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_class" href="../../d9/d4c/class_remote_detonator_trigger.html">RemoteDetonatorTrigger</a> rdt = <a class="code hl_class" href="../../d9/d4c/class_remote_detonator_trigger.html">RemoteDetonatorTrigger</a>.Cast(item);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span> (rdt &amp;&amp; rdt.<a class="code hl_function" href="../../d9/d4c/class_remote_detonator_trigger.html#aeb80ded4576b5e1d4e59be0cb2cdeee0">IsConnected</a>())</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aee93f0aec8cce6897cf2da6281a3d9ee">ExplosivesBase</a> controlledDevice = <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aee93f0aec8cce6897cf2da6281a3d9ee">ExplosivesBase</a>.Cast(rdt.<a class="code hl_function" href="../../d9/d4c/class_remote_detonator_trigger.html#a27bea22618c37d4aa459fe9a27d79880">GetControlledDevice</a>());</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="keywordflow">if</span> (controlledDevice &amp;&amp; controlledDevice.GetPairDevice() != item)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                rdt.UpdateLED(<a class="code hl_enumeration" href="../../dc/dd0/_remote_detonator_8c.html#a7804fd4e8640651942c36a208aa12c5c">ERemoteDetonatorLEDState</a>.OFF);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="keywordflow">if</span> (controlledDevice &amp;&amp; !controlledDevice.IsRuined() &amp;&amp; controlledDevice.GetArmed())</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">DistanceSq</a>(player.GetPosition(), controlledDevice.GetPosition()) &lt;= <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga1ea52907ba49a5706b41108910975de7">SqrFloat</a>(<a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#a8202368c9d2455ac296422c0fafb55f5">EXPLOSIVE_REMOTE_ACTIVATION</a>))</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                    rdt.UpdateLED(<a class="code hl_enumeration" href="../../dc/dd0/_remote_detonator_8c.html#a7804fd4e8640651942c36a208aa12c5c">ERemoteDetonatorLEDState</a>.LIT);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        rdt.UpdateLED(<a class="code hl_enumeration" href="../../dc/dd0/_remote_detonator_8c.html#a7804fd4e8640651942c36a208aa12c5c">ERemoteDetonatorLEDState</a>.OFF);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d0/d2b/class_action_trigger_remotely.html#a6406bfc00c1bb452350220fe905f8538">   60</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d2b/class_action_trigger_remotely.html#a6406bfc00c1bb452350220fe905f8538">OnExecuteServer</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_class" href="../../d9/d4c/class_remote_detonator_trigger.html">RemoteDetonatorTrigger</a> rdt = <a class="code hl_class" href="../../d9/d4c/class_remote_detonator_trigger.html">RemoteDetonatorTrigger</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> (rdt &amp;&amp; rdt.<a class="code hl_function" href="../../d9/d4c/class_remote_detonator_trigger.html#aeb80ded4576b5e1d4e59be0cb2cdeee0">IsConnected</a>()) </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> controlledDevice = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(rdt.<a class="code hl_function" href="../../d9/d4c/class_remote_detonator_trigger.html#a27bea22618c37d4aa459fe9a27d79880">GetControlledDevice</a>());</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">if</span> (controlledDevice &amp;&amp; !controlledDevice.IsRuined())</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                controlledDevice.OnActivatedByItem(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.SetAnimationPhase(<span class="stringliteral">&quot;trigger&quot;</span>, 1);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.SetAnimationPhase(<span class="stringliteral">&quot;lever&quot;</span>, 1);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>}</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_explosives_base_8c_html_aee93f0aec8cce6897cf2da6281a3d9ee"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#aee93f0aec8cce6897cf2da6281a3d9ee">ExplosivesBase</a></div><div class="ttdeci">void ExplosivesBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00288">ExplosivesBase.c:288</a></div></div>
<div class="ttc" id="a_remote_detonator_8c_html_a7804fd4e8640651942c36a208aa12c5c"><div class="ttname"><a href="../../dc/dd0/_remote_detonator_8c.html#a7804fd4e8640651942c36a208aa12c5c">ERemoteDetonatorLEDState</a></div><div class="ttdeci">ERemoteDetonatorLEDState</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd0/_remote_detonator_8c_source.html#l00001">RemoteDetonator.c:2</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_single_use_base_html"><div class="ttname"><a href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d93/_action_single_use_base_8c_source.html#l00041">ActionSingleUseBase.c:42</a></div></div>
<div class="ttc" id="aclass_action_trigger_remotely_html"><div class="ttname"><a href="../../d0/d2b/class_action_trigger_remotely.html">ActionTriggerRemotely</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dae/_action_trigger_remotely_8c_source.html#l00001">ActionTriggerRemotely.c:2</a></div></div>
<div class="ttc" id="aclass_action_trigger_remotely_html_a044f621b219565fd16f94c98c5b4f495"><div class="ttname"><a href="../../d0/d2b/class_action_trigger_remotely.html#a044f621b219565fd16f94c98c5b4f495">ActionTriggerRemotely::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dae/_action_trigger_remotely_8c_source.html#l00031">ActionTriggerRemotely.c:31</a></div></div>
<div class="ttc" id="aclass_action_trigger_remotely_html_a19319dcefb2ea5352c3b0d66ab3f4f91"><div class="ttname"><a href="../../d0/d2b/class_action_trigger_remotely.html#a19319dcefb2ea5352c3b0d66ab3f4f91">ActionTriggerRemotely::HasTarget</a></div><div class="ttdeci">override bool HasTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dae/_action_trigger_remotely_8c_source.html#l00021">ActionTriggerRemotely.c:21</a></div></div>
<div class="ttc" id="aclass_action_trigger_remotely_html_a35ce03e38809acf7f7c14dbe19469be2"><div class="ttname"><a href="../../d0/d2b/class_action_trigger_remotely.html#a35ce03e38809acf7f7c14dbe19469be2">ActionTriggerRemotely::HasProneException</a></div><div class="ttdeci">override bool HasProneException()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dae/_action_trigger_remotely_8c_source.html#l00026">ActionTriggerRemotely.c:26</a></div></div>
<div class="ttc" id="aclass_action_trigger_remotely_html_a3d1cfef43c183ea000214154a2bf2ac9"><div class="ttname"><a href="../../d0/d2b/class_action_trigger_remotely.html#a3d1cfef43c183ea000214154a2bf2ac9">ActionTriggerRemotely::HasProgress</a></div><div class="ttdeci">override bool HasProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dae/_action_trigger_remotely_8c_source.html#l00016">ActionTriggerRemotely.c:16</a></div></div>
<div class="ttc" id="aclass_action_trigger_remotely_html_a59aade2ec11ce3978e8ea752c8713e6c"><div class="ttname"><a href="../../d0/d2b/class_action_trigger_remotely.html#a59aade2ec11ce3978e8ea752c8713e6c">ActionTriggerRemotely::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dae/_action_trigger_remotely_8c_source.html#l00010">ActionTriggerRemotely.c:10</a></div></div>
<div class="ttc" id="aclass_action_trigger_remotely_html_a6406bfc00c1bb452350220fe905f8538"><div class="ttname"><a href="../../d0/d2b/class_action_trigger_remotely.html#a6406bfc00c1bb452350220fe905f8538">ActionTriggerRemotely::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dae/_action_trigger_remotely_8c_source.html#l00060">ActionTriggerRemotely.c:60</a></div></div>
<div class="ttc" id="aclass_action_trigger_remotely_html_aadc6b4dce90b1c8890340322d7573baa"><div class="ttname"><a href="../../d0/d2b/class_action_trigger_remotely.html#aadc6b4dce90b1c8890340322d7573baa">ActionTriggerRemotely::ActionTriggerRemotely</a></div><div class="ttdeci">void ActionTriggerRemotely()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dae/_action_trigger_remotely_8c_source.html#l00003">ActionTriggerRemotely.c:3</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_aff0b345c6a0a8469dfb7bc27365a11bd"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">AnimatedActionBase::m_CommandUIDProne</a></div><div class="ttdeci">protected int m_CommandUIDProne</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00126">AnimatedActionBase.c:126</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_remote_detonator_trigger_html"><div class="ttname"><a href="../../d9/d4c/class_remote_detonator_trigger.html">RemoteDetonatorTrigger</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd0/_remote_detonator_8c_source.html#l00046">RemoteDetonator.c:47</a></div></div>
<div class="ttc" id="aclass_remote_detonator_trigger_html_a27bea22618c37d4aa459fe9a27d79880"><div class="ttname"><a href="../../d9/d4c/class_remote_detonator_trigger.html#a27bea22618c37d4aa459fe9a27d79880">RemoteDetonatorTrigger::GetControlledDevice</a></div><div class="ttdeci">EntityAI GetControlledDevice()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd0/_remote_detonator_8c_source.html#l00149">RemoteDetonator.c:149</a></div></div>
<div class="ttc" id="aclass_remote_detonator_trigger_html_aeb80ded4576b5e1d4e59be0cb2cdeee0"><div class="ttname"><a href="../../d9/d4c/class_remote_detonator_trigger.html#aeb80ded4576b5e1d4e59be0cb2cdeee0">RemoteDetonatorTrigger::IsConnected</a></div><div class="ttdeci">bool IsConnected()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd0/_remote_detonator_8c_source.html#l00144">RemoteDetonator.c:144</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_a8202368c9d2455ac296422c0fafb55f5"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#a8202368c9d2455ac296422c0fafb55f5">UAMaxDistances::EXPLOSIVE_REMOTE_ACTIVATION</a></div><div class="ttdeci">const float EXPLOSIVE_REMOTE_ACTIVATION</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00110">ActionConstants.c:110</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="aclassvector_html_a21d8662c860e105943718b2da59349e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">vector::DistanceSq</a></div><div class="ttdeci">static proto native float DistanceSq(vector v1, vector v2)</div><div class="ttdoc">Returns the squere distance between tips of two 3D vectors.</div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga1ea52907ba49a5706b41108910975de7"><div class="ttname"><a href="../../d5/d98/group___math.html#ga1ea52907ba49a5706b41108910975de7">Math::SqrFloat</a></div><div class="ttdeci">static proto float SqrFloat(float f)</div><div class="ttdoc">Returns squared value.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../db/dae/_action_trigger_remotely_8c.html">ActionTriggerRemotely.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
